#!/bin/bash
# You can pass --force as first parameter to force push and tag creation.

echo "Creating tag $@"

TAG="v$@"
git tag -a ${TAG}

if [[ "$@" == *'--from-ci'* ]]
then
        echo "Tag created. HANDLE IN CI"
else
  echo "Pushing tag"
  git push origin ${TAG}
fi
